Bug 969066 - heat-cfn: Handle parameters with = in them
heat-cfn: Handle parameters with = in them
Status: CLOSED CURRENTRELEASE
Product: RDO
Classification: Community
Component: openstack-heat (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: RHOS Maint
Amit Ugol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 11:04 EDT by Natale Vinto
Modified: 2014-06-05 05:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-16 06:29:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Natale Vinto 2013-05-30 11:04:27 EDT
Description of problem:

If parameters with "=" are used in heat-cfn creation an error is given due wrong string splitting


Version-Release number of selected component (if applicable):
heat-cfn 2013.1


How reproducible:

heat-cfn create openshift --template-file=OpenShift.template --parameters="KeyName=${USER_KEY};DnsSecKey=A_STRING_WITH_==;UpstreamDNS=8.8.8.8"



Steps to Reproduce:
1.
2.
3.

Actual results:
ERROR:Failed to create. Got error:
ERROR:too many values to unpack


Expected results:
CREATE_IN_PROGRESS


Additional info:

Fixed in latest openstack/heat https://review.openstack.org/#/c/26772/
Comment 1 Natale Vinto 2013-05-30 11:06:02 EDT
/usr/lib/python2.6/site-packages/heat/cfn_client/client.py affected line 140
Comment 2 Steven Hardy 2013-05-30 11:28:13 EDT
Note the same issue exists in python-heatclient, so that will need to pull in the fix for https://bugs.launchpad.net/python-heatclient/+bug/1183842 when it gets merged.
Comment 3 Steven Hardy 2013-09-16 06:29:06 EDT
This was fixed in 2013.2:

https://github.com/openstack/heat/commit/2d81dc9baad2459211d3493dcb91ab70de26aaf2

Note heat-cfn will not be part of the heat havana release, so the "heat" tool from the python-heatclient package should be used instead.

Note You need to log in before you can comment on or make changes to this bug.